/evm/{chain}/txs/job/start

Starts a job to fetch all transactions for an EVM wallet in the given time range. The job will be processed in the background, and results will become available (in paginated form) once all transactions have been fetched.

After starting the job:

  1. Use the returned nextPageUrl to start fetching the results (once they're available)

  2. If you get a 425, retry on an interval until you get a result back

  3. Repeat for subsequent URLs until you get to a page with no nextPageUrl field included

Once you start a job, you will incur API CUs for its entirety (and you will be billed based on the number of transactions fetched). You can pass a txLimit parameter to limit the total number of transactions processed.

Note: For a newer and more streamlined version of this endpoint, see the /evm/{chain}/txs/job GET endpoint.

Processing large date ranges may take some time. Use the startBlock / endBlock or startTimestamp / endTimestamp parameters to control the size of the job.

Make sure to provide either a block range or a timestamp range, not both.

Path Params
string
required
Defaults to eth

Name of the chain.

Query Params
string
Defaults to 0x9B1054d24dC31a54739B6d8950af5a7dbAa56815

Hash address of the Wallet.

string

Results are returned with the view/perspective of this wallet address. Optional if you want to classify from a perspective different than the wallet's.

int64

Start timestamp to filter by. Optional.

int64

End timestamp to filter by. Optional.

int64

Start block to filter by. Optional.

int64

End block to filter by. Optional.

int64

Optional maximum number of transactions to process. If not provided, all transactions in the specified range will be processed.

boolean
Defaults to false

If true, the job will fetch transactions starting from the earliest.

boolean
Defaults to false

If true, the response will be in the v5 transaction format. Optional.

boolean
Defaults to true

If true, the response will exclude transactions classified as: receiveSpamToken, receiveSpamNFT, addressPoisoning. Optional.

Headers
string
required
Defaults to demokey

API Key for Translate API. To generate an API Key, visit https://noves.fi/pricing

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain
text/json